Bug 123114 - can't sync palm / visor
can't sync palm / visor
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-12 12:45 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-29 16:25:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-05-12 12:45:38 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7b)
Gecko/20040421

Description of problem:
I can't sync my palm on a new fedora install (works fine on other systems)

I've attributed the error to the kernel module as an error message
appears in the logs without running any further software

usb.agent[26866]: missing kernel or user mode driver visor


Version-Release number of selected component (if applicable):
kernel-2.4.22-1.2188.nptl

How reproducible:
Always

Steps to Reproduce:
1.plug palm pilot into usb port
2.hit sync button on palm
3.error message appears in logs
4.kpilot will not sync (palm times out)
    

Actual Results:  nothing much - the palm times out 

Expected Results:  expected - no error in logs

kpilot should sync 

Additional info:


I've tried various options for the pilot device

/dev/ttyUSB0
/dev/ttyUSB1
/dev/usb/ttyUSB0
/dev/usb/ttyUSB1

all chmod 666

/var/log/messages (when plugging in the palm and hitting the hotsync
button - this error occurs even if no palm pilot software is running)



May 12 17:26:12 localhost kernel: hub.c: new USB device 00:03.0-3,
assigned address 17
May 12 17:26:12 localhost kernel: usbserial.c: Handspring Visor / Treo
/ Palm 4.0 / Clie 4.x converter detected
May 12 17:26:12 localhost kernel: usbserial.c: Handspring Visor / Treo
/ Palm 4.0 / Clie 4.x converter now attached to ttyUSB0 (or usb/tts/0
for devfs)
May 12 17:26:12 localhost kernel: usbserial.c: Handspring Visor / Treo
/ Palm 4.0 / Clie 4.x converter now attached to ttyUSB1 (or usb/tts/1
for devfs)
May 12 17:26:15 localhost usb.agent[26866]: missing kernel or user
mode driver visor
May 12 17:26:16 localhost devlabel: devlabel service started/restarted


Module                  Size  Used by    Not tainted
visor                  13352   0  (unused)
usbserial              23228   0  [visor]
nls_iso8859-1           3516   0  (autoclean)
i810_audio             27560   1  (autoclean)
ac97_codec             16744   0  (autoclean) [i810_audio]
soundcore               6468   2  (autoclean) [i810_audio]
parport_pc             18756   1  (autoclean)
lp                      8580   0  (autoclean)
parport                37056   1  (autoclean) [parport_pc lp]
autofs                 12084   0  (autoclean) (unused)
sis900                 15756   1
floppy                 57308   0  (autoclean)
sg                     35436   0  (autoclean)
sr_mod                 17400   0  (autoclean)
microcode               4188   0  (autoclean)
ide-scsi               12016   0
scsi_mod              110280   3  [sg sr_mod ide-scsi]
ide-cd                 34432   0
cdrom                  34592   0  [sr_mod ide-cd]
keybdev                 2656   0  (unused)
hid                    23908   0  (unused)
ehci-hcd               20008   0  (unused)
usb-ohci               21544   0  (unused)
usbcore                78752   1  [visor usbserial hid ehci-hcd usb-ohci]
mousedev                5268   1  (autoclean)
input                   5888   0  (autoclean) [keybdev hid mousedev]
ext3                   71620   2
jbd                    51276   2  [ext3]
Comment 1 David Lawrence 2004-09-29 16:25:18 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.